This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### mouseWheel()
Examples |
    void setup() {
      size(100, 100);
    }

    void draw() {}

    void mouseWheel(MouseEvent event) {
      float e = event.getCount();
      println(e);
    }
Description | The mouseWheel() function returns positive values when the mouse wheel is rotated down (toward the user), and negative values for the other direction (up or away from the user). On OS X with "natural" scrolling enabled, the values are opposite. Mouse and keyboard events only work when a program has draw(). Without draw(), the code is only run once and then stops listening for events.
Syntax |
    mouseWheel(event)
Parameters |
event | MouseEvent: the MouseEvent
Returns | void
Related | mouseX mouseY pmouseX pmouseY mousePressed mousePressed() mouseReleased() mouseClicked() mouseMoved() mouseDragged() mouseButton

Updated on May 19, 2014 05:29:59pm PDT